
QGIS Application - Bug report #3017

Save as shapefile in AGD84 CRS

2010-09-17 03:29 AM - Micha Silver

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 13077

Description

A text file of locations in the AGD84 zone 51 CRS (S. Hemisphere, EPSG 20351) was imported with the delimited text plugin. The this

layer was saved as a shapefile, choosing the AGD84 CRS. This resulted in a "Latitude or Longitude exceeds limits" error. The global CRS

was EPSG:4326.

Changing the global CRS to EPSG:20351 does solve the problem and allows saving as a shapefile with the correct CRS. But I think this

shouldn't occur in any global CRS.

(checked both on Linux and Windows)

History

#1 - 2010-09-17 04:20 AM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Open to Closed

Replying to micha:

A text file of locations in the AGD84 zone 51 CRS (S. Hemisphere, EPSG 20351) was imported with the delimited text plugin. The this layer was

saved as a shapefile, choosing the AGD84 CRS. This resulted in a "Latitude or Longitude exceeds limits" error. The global CRS was EPSG:4326.

Changing the global CRS to EPSG:20351 does solve the problem and allows saving as a shapefile with the correct CRS. But I think this shouldn't

occur in any global CRS.

(checked both on Linux and Windows)

I can only reproduce the problem, when I don't actually specify the right CRS for the delimited text layer (ie. keep it WGS84).   "Saving as" in AGD84 then

means reprojecting from WGS84 to AGD84 and that leads to the PROJ exception as the coordinates are illegal for WGS84.

When setting the coordinate system of the delimited text layer to AGD84, saving as AGD84 works fine.

I don't think this is a bug.

#2 - 2010-09-17 05:05 AM - Micha Silver

Replying to [comment:1 jef]:

Replying to micha:

A text file of locations in the AGD84 zone 51 CRS (S. Hemisphere, EPSG 20351) was imported with the delimited text plugin. The this layer was

saved as a shapefile, choosing the AGD84 CRS. This resulted in a "Latitude or Longitude exceeds limits" error. The global CRS was EPSG:4326.
Changing the global CRS to EPSG:20351 does solve the problem and allows saving as a shapefile with the correct CRS. But I think this shouldn't

occur in any global CRS.

(checked both on Linux and Windows)

I can only reproduce the problem, when I don't actually specify the right CRS for the delimited text layer (ie. keep it WGS84).   "Saving as" in AGD84

then means reprojecting from WGS84 to AGD84 and that leads to the PROJ exception as the coordinates are illegal for WGS84.

When setting the coordinate system of the delimited text layer to AGD84, saving as AGD84 works fine.

I don't think this is a bug.

The problem, I think, is the default global CRS. If the user just leaves the default, then loads a csv file, QGIS assumes it is in WGS84, and there's no place

to indicate otherwise. Then when he wants to export to shape with the correct CRS, it fails. Apparently this behavior of the default global CRS is not so

obvious to users.

Thanks,

Micha

#3 - 2010-09-17 05:30 AM - Jürgen Fischer

Replying to [comment:2 micha]:

The problem, I think, is the default global CRS. If the user just leaves the default, then loads a csv file, QGIS assumes it is in WGS84, and there's

no place to indicate otherwise.

Except in vector layer properties.  There the CRS can be checked and changed.

#4 - 2010-09-18 11:17 PM - Micha Silver

Replying to [comment:3 jef]:

Replying to [comment:2 micha]:

The problem, I think, is the default global CRS. If the user just leaves the default, then loads a csv file, QGIS assumes it is in WGS84, and there's

no place to indicate otherwise.

Except in vector layer properties.  There the CRS can be checked and changed.

Oh right! Thanks for reminding me...

Files

CRS_error.png 15.5 KB 2010-09-17 Micha Silver

Brett_Adams.csv 10.6 KB 2010-09-17 Micha Silver
